import Reflux from 'reflux';
import Orientation from 'react-native-orientation';

const OrientationStore = Reflux.createStore({
	getInitialState() {
        return Orientation.getInitialOrientation();
    },

	init() {
		console.log(Orientation);

		Orientation.addOrientationListener(orientation => {
			if(orientation == 'LANDSCAPE') {
				this.orientation = 'LANDSCAPE';
			}
			else {
				this.orientation = 'PORTRAIT';
			}

			this.trigger(this.orientation);

		});

	}
});

const OrientationMixin = Reflux.connect(OrientationStore, "Orientation");

export default OrientationMixin;